33 Screenshots

About This File

111mglk_jpg.png

“Hero in the Dark” – Is a traditional fantasy mod This mod will incorporate traditional fantasy elements and lore while retaining the artistic style and the survive or die elements of Don’t Starve. A large focus of the lore and design of the mod will be from D&D and other games/books within the genre. Barbarians, shadow knights, druids, Necromancers etc etc

The goals of this mod are to make an alternate form of Don’t Starve, not to add on to its current game. We have added in creatures, events, more lvs, boss mobs, items, dungeons, unique leveling system, 12 playable character(not all characters are in yet)s, 100's of new recipes etc.

Here is the first version of Beta. We are still looking for more artists coders and people to help with character scripts to join our team. We need things from Characters, items, monsters, terrain etc We are currently looking for 2 to 3 artists/animators and 1 to 2 people to help with character scripting. If you are interested please send me a pm.

(Note: this is still in Beta, we are still missing some artwork and character scripts, I am not posting this to steam as of yet)

(Note: if you are using a controller, you must disable spell books. To do this, hit the configure button on the mod page inside the game and turn off spell books)

Please give feedback within this thread and bug reports here or in a PM to me. Don't forget to follow our mod and rate it!

We now have our own sub forum here

http://forums.kleientertainment.com/forum/64-mod-collaboration-hero-in-the-dark/

http://forums.kleientertainment.com/topic/33476-mod-hero-in-the-dark/

We now have our own Wiki !

http://hero-in-the-dark.wikia.com/wiki/Hero_in_the_Dark_Wiki


What's New in Version Beta 0.03   See changelog

Released

  • Beta 0.03
  • bugfixes
  • Like 16
  • Thanks 5
  • Sad 1



User Feedback



Recommended Comments

On 2014/3/25 at 1:00 PM, Thebubbacrunch said:

Wow I love you man... I got it to work. Awesome! Awesome! Can't wait to test it out!

 

 

Why can't my  hero in the dark mod to use?

Share this comment


Link to comment
Share on other sites

Lleva demasiada Ram para poder disfrutar de el. Va muy lento

En los Biomas Subterráneos como las cuevas, pusiste muchos enemigos.

Quedó bien, pero corrige eso para llevarlo a cabo. Gracias por el Mod amigo

Share this comment


Link to comment
Share on other sites
On 5/1/2017 at 4:30 AM, CORONEL said:

Lleva demasiada Ram para poder disfrutar de el. Va muy lento

En los Biomas Subterráneos como las cuevas, pusiste muchos enemigos.

Quedó bien, pero corrige eso para llevarlo a cabo. Gracias por el Mod amigo

English, if you want help

Share this comment


Link to comment
Share on other sites
On 2017-5-27 at 7:18 PM, kraken121 said:

English, if you want help

He basically said:

  • Takes too much RAM and runs very slowly
  • Too many enemies in the underground biomes
  • Thanks for the mod, it's good. Just fix this pls kthx

Share this comment


Link to comment
Share on other sites

This is the niciest game i”ve ever could play it since i was little :| Holy crap, i can”t even imagine how this game evoluated, updated... many many wikis about everything, items, characters, resources, any type of things... i could play this game YEARS and still not finding out everything this game has... omg man :o

Share this comment


Link to comment
Share on other sites

how does one download this? i have tried clicking "Download file" but i don't know what to do after that. Linking the steam page would be very helpful! thanks~

Share this comment


Link to comment
Share on other sites
On 3/25/2014 at 5:28 AM, DeathDisciple said:

Which game version? RoG active or not? Any other mods? Any particular crash log?

 

Note: HeroInTheDark should be in your /mods folder, not dsmods-alpha1, check directory structure. This was packed from github directly so has extra directory depth.

 

Note no.2: if running on old version that does not support api_version 5 (e.g. not updated since idk, february? for some reason) you can change to api_version = 4 in modinfo.lua file to get it to run. It does not require neither this year's updates nor DLC to run.

Still crashing for me

Share this comment


Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now